Bug 184472 - Hard disk installs should mount source filesystems read-only
Hard disk installs should mount source filesystems read-only
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-08 20:29 EST by Dax Kelson
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:26:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2006-03-08 20:29:37 EST
Description of problem:
When doing a hard disk install, Anaconda should mount the "source" partition
containing the ISOs file read only.

This way the install will still go if the source filesystem was not umounted
cleanly.
Comment 1 Jeremy Katz 2006-03-13 13:53:46 EST
They should be getting mounted read-only...
  if (!doPwMount("/tmp/hddev", "/tmp/hdimage", *type, IMOUNT_RDONLY, NULL))

What error are you seeing?
Comment 2 Dax Kelson 2006-03-13 15:54:22 EST
Sorry, I mis-flagged the product and version.

The problem was seen on RHEL4 and RHEL4 U2 (and relayed to me).

Basically, a ext3 partition was used to store the ISO files.

If a graceful shutdown/reboot was done, then Anaconda would use the ISO files
for a hard drive install.

If the machine was hard power cycled, then Anaconda would not use the ISO files.
I don't have an error message available (I could get one though, if needed)

Is the mount read-only something that has always been there, or is it a change
since RHEL4 was released?
Comment 3 Chris Lumens 2007-02-27 15:46:55 EST
It looks like it's been there for quite a while (though we changed it from a
hardcoded int to a flag at some point).  If you could get the error message,
that'd be really helpful.  Also, finding out whether this happens on Fedora
might be interesting too.
Comment 4 Red Hat Bugzilla 2007-06-11 23:06:19 EDT
requested by Jams Antill
Comment 5 Bug Zapper 2008-04-03 13:06:42 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:26:06 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.